Bug 1264403 - Review Request: perl-Clownfish-CFC - Compiler for Apache Clownfish
Review Request: perl-Clownfish-CFC - Compiler for Apache Clownfish
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1264419
  Show dependency treegraph
 
Reported: 2015-09-18 07:47 EDT by Petr Pisar
Modified: 2015-09-21 02:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Clownfish-CFC-0.4.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 02:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-18 07:47:05 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Clownfish-CFC/perl-Clownfish-CFC.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Clownfish-CFC/perl-Clownfish-CFC-0.4.2-1.fc24.src.rpm
Description:
This is a compiler for Apache Clownfish.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2015-09-18 09:43:48 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Clownfish-CFC-0.4.2-1.fc24.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.3)(64bit)
      1 libc.so.6(GLIBC_2.3.4)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.22()(64bit)
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(Clownfish::CFC)
      1 perl(Clownfish::CFC::Util)
      1 perl(Config)
      1 perl(Cwd)
      1 perl(Devel::PPPort) >= 3.14
      1 perl(Exporter)
      1 perl(ExtUtils::CBuilder) >= 0.18
      1 perl(ExtUtils::CBuilder::Platform::Windows::GCC)
      1 perl(ExtUtils::Mkbootstrap)
      1 perl(ExtUtils::ParseXS) >= 2.16
      1 perl(Fcntl)
      1 perl(File::Path)
      1 perl(File::Spec::Functions)
      1 perl(Module::Build)
      1 perl(Scalar::Util)
      1 perl(XSLoader)
      1 perl(base)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)

Binary requires are Ok.

$ rpm -qp --provides perl-Clownfish-CFC-0.4.2-1.fc24.x86_64.rpm | sort | uniq -c
      1 perl(Clownfish::CFC) = 0.004002
      1 perl(Clownfish::CFC::Base) = 0.004002
      1 perl(Clownfish::CFC::Binding::Core) = 0.004002
      1 perl(Clownfish::CFC::Binding::Core::Aliases) = 0.004002
      1 perl(Clownfish::CFC::Binding::Core::Class) = 0.004002
      1 perl(Clownfish::CFC::Binding::Core::File) = 0.004002
      1 perl(Clownfish::CFC::Binding::Core::Function) = 0.004002
      1 perl(Clownfish::CFC::Binding::Core::Method) = 0.004002
      1 perl(Clownfish::CFC::Binding::Perl) = 0.004002
      1 perl(Clownfish::CFC::Binding::Perl::Class) = 0.004002
      1 perl(Clownfish::CFC::Binding::Perl::Constructor) = 0.004002
      1 perl(Clownfish::CFC::Binding::Perl::Method) = 0.004002
      1 perl(Clownfish::CFC::Binding::Perl::Pod) = 0.004002
      1 perl(Clownfish::CFC::Binding::Perl::Subroutine) = 0.004002
      1 perl(Clownfish::CFC::Binding::Perl::TypeMap) = 0.004002
      1 perl(Clownfish::CFC::Model::CBlock) = 0.004002
      1 perl(Clownfish::CFC::Model::Class) = 0.004002
      1 perl(Clownfish::CFC::Model::DocuComment) = 0.004002
      1 perl(Clownfish::CFC::Model::File) = 0.004002
      1 perl(Clownfish::CFC::Model::FileSpec) = 0.004002
      1 perl(Clownfish::CFC::Model::Function) = 0.004002
      1 perl(Clownfish::CFC::Model::Hierarchy) = 0.004002
      1 perl(Clownfish::CFC::Model::Method) = 0.004002
      1 perl(Clownfish::CFC::Model::ParamList) = 0.004002
      1 perl(Clownfish::CFC::Model::Parcel) = 0.004002
      1 perl(Clownfish::CFC::Model::Prereq) = 0.004002
      1 perl(Clownfish::CFC::Model::Symbol) = 0.004002
      1 perl(Clownfish::CFC::Model::Type) = 0.004002
      1 perl(Clownfish::CFC::Model::Variable) = 0.004002
      1 perl(Clownfish::CFC::Model::Version) = 0.004002
      1 perl(Clownfish::CFC::Parser) = 0.004002
      1 perl(Clownfish::CFC::Perl::Build) = 0.004002
      1 perl(Clownfish::CFC::Perl::Build::Charmonic) = 0.004002
      1 perl(Clownfish::CFC::Test) = 0.004002
      1 perl(Clownfish::CFC::Util) = 0.004002
      1 perl-Clownfish-CFC = 0.4.2-1.fc24
      1 perl-Clownfish-CFC(x86-64) = 0.4.2-1.fc24

Binary provides are Ok.

$ rpmlint ./perl-Clownfish-CFC*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
APPROVED.
Comment 2 Petr Pisar 2015-09-18 10:01:55 EDT
New Package SCM Request
=======================
Package Name: perl-Clownfish-CFC
Short Description: Compiler for Apache Clownfish
Upstream URL: http://search.cpan.org/dist/Clownfish-CFC/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2015-09-19 08:35:40 EDT
Git done (by process-git-requests).
Comment 4 Petr Pisar 2015-09-21 02:43:35 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.